<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
  package="uni.deepoil.com">

  <uses-feature
    android:name="android.hardware.camera"
    android:required="false"/>
  <uses-permission android:name="android.permission.INTERNET"/>
  <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES"/>
  <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
  <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
  <uses-permission android:name="android.permission.READ_MEDIA_IMAGES"/>
  <uses-permission android:name="android.permission.READ_MEDIA_VIDEO"/>
  <uses-permission android:name="android.permission.READ_MEDIA_AUDIO"/>
  <uses-permission android:name="android.permission.CAMERA"/>
  <uses-permission
    android:name="android.permission.READ_EXTERNAL_STORAGE"
    android:maxSdkVersion="32"/>
  <uses-permission
    android:name="android.permission.WRITE_EXTERNAL_STORAGE"
    android:maxSdkVersion="32"/>
  <uses-permission android:name="android.permission.WRITE_SETTINGS"/>

  <queries>
    <package android:name="com.alibaba.android.rimet"/>
    <intent>
      <action android:name="android.media.action.IMAGE_CAPTURE"/>
    </intent>
    <intent>
      <action android:name="android.media.action.ACTION_VIDEO_CAPTURE"/>
    </intent>
    <intent>
      <action android:name="android.intent.action.GET_CONTENT"/>
    </intent>
    <intent>
      <action android:name="android.intent.action.PICK"/>
    </intent>
  </queries>

  <application
    android:allowBackup="true"
    android:allowClearUserData="true"
    android:extractNativeLibs="true"
    android:icon="@drawable/icon"
    android:label="@string/app_name"
    android:largeHeap="true"
    android:requestLegacyExternalStorage="true"
    android:supportsRtl="true">
    <activity
      android:name="io.dcloud.PandoraEntry"
      android:configChanges="orientation|keyboardHidden|keyboard|navigation"
      android:exported="true"
      android:hardwareAccelerated="true"
      android:label="@string/app_name"
      android:launchMode="singleTask"
      android:screenOrientation="user"
      android:theme="@style/TranslucentTheme"
      android:windowSoftInputMode="adjustResize">
      <intent-filter>
        <action android:name="android.intent.action.MAIN"/>
        <category android:name="android.intent.category.LAUNCHER"/>
      </intent-filter>

      <intent-filter>
        <category android:name="android.intent.category.DEFAULT"/>
        <category android:name="android.intent.category.BROWSABLE"/>
        <action android:name="android.intent.action.VIEW"/>
        <data android:scheme="deepoil"/>
      </intent-filter>

      <intent-filter android:autoVerify="true">
        <category android:name="android.intent.category.DEFAULT"/>
        <category android:name="android.intent.category.BROWSABLE"/>
        <action android:name="android.intent.action.VIEW"/>
        <data
          android:host="app.iot.deepoil.cc"
          android:scheme="https"/>
      </intent-filter>
    </activity>
    <activity
      android:name="io.dcloud.PandoraEntryActivity"
      android:configChanges="orientation|keyboardHidden|screenSize|mcc|mnc|fontScale|keyboard|smallestScreenSize|screenLayout|screenSize|uiMode"
      android:exported="true"
      android:hardwareAccelerated="true"
      android:launchMode="singleTask"
      android:permission="com.miui.securitycenter.permission.AppPermissionsEditor"
      android:screenOrientation="user"
      android:theme="@style/DCloudTheme"
      android:windowSoftInputMode="adjustResize">
      <intent-filter>
        <category android:name="android.intent.category.DEFAULT"/>
        <category android:name="android.intent.category.BROWSABLE"/>
        <action android:name="android.intent.action.VIEW"/>
        <data android:scheme=" "/>
      </intent-filter>
    </activity>

    <activity
      android:name=".ddauth.DDAuthActivity"
      android:exported="true"/>

    <activity
      android:name=".ddshare.DDShareActivity"
      android:exported="true"
      android:launchMode="singleInstance"
      android:theme="@android:style/Theme.Translucent.NoTitleBar"/>

    <meta-data
      android:name="dcloud_appkey"
      android:value="279875c70b71ed146f6d9ab123e49ba0"/>
  </application>
</manifest>